import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

import '../controls/padding.dart';
import '../globals.dart';
import '../services/auth_service.dart';

class SplashScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
          child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          SvgPicture.asset('icon/relatica_logo.svg', width: 128),
          const VerticalPadding(),
          Text(
            'Relatica',
            style: Theme.of(context).textTheme.headlineLarge,
          ),
          const VerticalPadding(),
          if (getIt<AccountsService>().initializing) ...[
            const CircularProgressIndicator(),
            const VerticalPadding(),
            const Text('Logging in accounts...'),
          ],
        ],
      )),
    );
  }
}
